Skip to main content
POST
/
v1
/
enrichment-providers
/
{provider_uuid}
/
activate
Activate Enrichment Provider
curl --request POST \
  --url https://api.example.com/v1/enrichment-providers/{provider_uuid}/activate
{
  "data": {
    "uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "provider_name": "<string>",
    "display_name": "<string>",
    "is_builtin": true,
    "is_active": true,
    "supported_indicator_types": [
      "<string>"
    ],
    "http_config": {},
    "auth_type": "<string>",
    "default_cache_ttl_seconds": 123,
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z",
    "description": "<string>",
    "has_credentials": false,
    "is_configured": false,
    "env_var_mapping": {},
    "cache_ttl_by_type": {},
    "malice_rules": {}
  },
  "meta": {}
}

Path Parameters

provider_uuid
string<uuid>
required

Response

Successful Response

data
EnrichmentProviderResponse · object
required

Response schema for enrichment provider endpoints.

meta
Meta · object